/// <reference types="react" />
import { TextEntryFormControl } from "../TextEntryFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
import "react-datepicker/dist/react-datepicker.css";
export declare class DateRangeFormControl extends TextEntryFormControl {
    readonly __type: string;
    type: "past" | "future" | "both";
    showRange: boolean;
    render(): JSX.Element;
    getValue: () => any;
    setValue: (newValue: {
        startDate?: string;
        endDate?: string;
    }) => void;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getFormatedValue: () => string;
    getStorageData(): object;
    setStorageData(data: object): void;
}
